﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[EVTMAS]') AND name = N'XEVTMAS1')
BEGIN 
PRINT 'Creating index XEVTMAS1 on table EVTMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XEVTMAS1] ON [dbo].[EVTMAS] 
(
	[TYPE] ASC,
	[KEY1] ASC,
	[PRIO] ASC,
	[NUMB] ASC,
	[KEY2] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[EVTMAS]') AND name = N'XEVTMAS2')
BEGIN 
PRINT 'Creating index XEVTMAS2 on table EVTMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XEVTMAS2] ON [dbo].[EVTMAS] 
(
	[NUMB] ASC,
	[TYPE] ASC,
	[KEY1] ASC,
	[KEY2] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTMAS' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTMAS_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_EVTMAS_IDEL on table EVTMAS' 
    ALTER TABLE [dbo].[EVTMAS]
    ADD CONSTRAINT [DF_EVTMAS_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTMAS' AND COLUMN_NAME = 'IDOW' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTMAS_IDOW')
BEGIN 
    PRINT 'Creating default constraint DF_EVTMAS_IDOW on table EVTMAS' 
    ALTER TABLE [dbo].[EVTMAS]
    ADD CONSTRAINT [DF_EVTMAS_IDOW] DEFAULT ((0)) FOR [IDOW]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTMAS' AND COLUMN_NAME = 'BUYCPN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTMAS_BUYCPN')
BEGIN 
    PRINT 'Creating default constraint DF_EVTMAS_BUYCPN on table EVTMAS' 
    ALTER TABLE [dbo].[EVTMAS]
    ADD CONSTRAINT [DF_EVTMAS_BUYCPN] DEFAULT ((0)) FOR [BUYCPN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTMAS' AND COLUMN_NAME = 'GETCPN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTMAS_GETCPN')
BEGIN 
    PRINT 'Creating default constraint DF_EVTMAS_GETCPN on table EVTMAS' 
    ALTER TABLE [dbo].[EVTMAS]
    ADD CONSTRAINT [DF_EVTMAS_GETCPN] DEFAULT ((0)) FOR [GETCPN]
END 
GO

